
/**
 * Backend App Start
 *
 * @class        BackendApp
 * @package      MyCMS.Backend.BackendApp
 * @author       Anthony Pillos <me@anthonypillos.com>
 * @copyright    Copyright (c) 2016 Anthony Pillos. (http://anthonypillos.com,http://iapdesign.com,http://developers.ph)
 * @version      v1
 */

(function() {
  var BackendApp;

  BackendApp = (function() {
    function BackendApp() {
      var app;
      app = angular.module('BackendApp', ['ApiFactory', 'SystemFactory', 'ui.bootstrap', 'ui.tinymce', 'localytics.directives', 'ListingService', 'NumberOnlyDirective', 'PaginationDirective', 'FileUploaderDirective', 'UploadFactory', 'SweetAlertService', 'SystemFilter', 'KeyBindDirective', 'ngAnimate', 'ngTagsInput']);
      app.config([
        'blockUIConfig', function(blockUIConfig) {
          blockUIConfig.message = 'Please Wait...';
          return blockUIConfig.autoBlock = false;
        }
      ]);
      app.run([
        '$rootScope', function($rootScope) {
          $rootScope.perPageArray = [20, 30, 50, 100, 500, 1000];
          return $rootScope.tinymceOptions = {
            height: 400,
            plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking save table contextmenu directionality emoticons template paste textcolor colorpicker textpattern imagetools codesample toc',
            toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | code',
            toolbar2: 'print preview media | forecolor backcolor emoticons | codesample',
            image_advtab: true,
            imagetools_cors_hosts: ['local.blogcms.com'],
            themes: 'modern'
          };
        }
      ]);
      return app;
    }

    return BackendApp;

  })();

  window.MyCMS.Backend.BackendApp = new BackendApp;

}).call(this);
